Subject: Re: bug#2410: 23.0.90; tramp: spurious ftp-error

From: Juri Linkov <[email-masked]>
Date: Sun, 22 Feb 2009 18:05:54 +0200

>> When I use Tramp to do an ftp transfer from Dired, I get error messages
>> like this:
>>
>> Copy `/local/path/of/source/file' to
>> `/ftp:[email-masked]:/remote/path/of/destination/file' failed:
>> (ftp-error FTP Error: DIR failed: usage: ls [remote-path [local-file]])
>>
>> However, the file transer was in fact successful.  This started
>> happening some time within the last two or three weeks, I believe,
>> though I cannot date it precisely.
>
> I can't reproduce this easily, since I don't have access to an FTP
> server for testing.  Could you try bisecting prior revisions to find
> when this bug first appeared?

I can reproduce it. It can be narrowed down to 2009-02-11 change:

	* dired-aux.el (dired-add-entry): Avoid munging long-form Dired
	switches (Bug#2261).

-- 
Juri Linkov
http://www.jurta.org/emacs/